"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Base class of all other metadata classes.
 * Registered to [[MetadataStorage]] and keep the reference of the storage where it's in.
 */
var Metadata = /** @class */ (function () {
    function Metadata(definitionClass, config) {
        this.config = config;
        this.definitionClass = definitionClass;
    }
    Metadata.prototype.registerToStorage = function (storage) {
        this.storage = storage;
        storage.register(this);
    };
    return Metadata;
}());
exports.Metadata = Metadata;
//# sourceMappingURL=Metadata.js.map