"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var ScalarMetadata_1 = require("../metadata/ScalarMetadata");
var StringScalar = /** @class */ (function () {
    function StringScalar() {
    }
    return StringScalar;
}());
exports.StringScalar = StringScalar;
var BooleanScalar = /** @class */ (function () {
    function BooleanScalar() {
    }
    return BooleanScalar;
}());
exports.BooleanScalar = BooleanScalar;
var FloatScalar = /** @class */ (function () {
    function FloatScalar() {
    }
    return FloatScalar;
}());
exports.FloatScalar = FloatScalar;
var IntScalar = /** @class */ (function () {
    function IntScalar() {
    }
    return IntScalar;
}());
exports.IntScalar = IntScalar;
var IDScalar = /** @class */ (function () {
    function IDScalar() {
    }
    return IDScalar;
}());
exports.IDScalar = IDScalar;
/**
 * Load all the built in scalar types into a given [[MetadataStorage]].
 * @param storage
 */
function loadBuiltInScalar(storage) {
    (new ScalarMetadata_1.ScalarMetadata(StringScalar, { typeInstance: graphql_1.GraphQLString })).registerToStorage(storage);
    (new ScalarMetadata_1.ScalarMetadata(BooleanScalar, { typeInstance: graphql_1.GraphQLBoolean })).registerToStorage(storage);
    (new ScalarMetadata_1.ScalarMetadata(FloatScalar, { typeInstance: graphql_1.GraphQLFloat })).registerToStorage(storage);
    (new ScalarMetadata_1.ScalarMetadata(IntScalar, { typeInstance: graphql_1.GraphQLInt })).registerToStorage(storage);
    (new ScalarMetadata_1.ScalarMetadata(IDScalar, { typeInstance: graphql_1.GraphQLID })).registerToStorage(storage);
}
exports.loadBuiltInScalar = loadBuiltInScalar;
//# sourceMappingURL=scalar.js.map