"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var GenericMetadata_1 = require("../base/GenericMetadata");
var memoize_1 = require("../utilities/memoize");
/**
 * Metadata type for arguments
 */
var ArgumentMetadata = /** @class */ (function (_super) {
    __extends(ArgumentMetadata, _super);
    function ArgumentMetadata() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ArgumentMetadata.prototype, "argumentName", {
        get: function () {
            return this.config.argumentName;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArgumentMetadata.prototype, "fieldName", {
        get: function () {
            return this.config.fieldName;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArgumentMetadata.prototype, "argumentConfig", {
        get: function () {
            var _a = this.config, defaultValue = _a.defaultValue, description = _a.description;
            return {
                type: this.type,
                defaultValue: defaultValue,
                description: description,
            };
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        memoize_1.memoizedGetter,
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [])
    ], ArgumentMetadata.prototype, "argumentConfig", null);
    return ArgumentMetadata;
}(GenericMetadata_1.GenericMetadata));
exports.ArgumentMetadata = ArgumentMetadata;
//# sourceMappingURL=ArgumentMetadata.js.map