import { GraphQLInputFieldConfig } from "graphql";
import { GenericMetadata, GenericMetadataConfig } from "../base/GenericMetadata";
export interface InputFieldMetadataConfig extends GenericMetadataConfig {
    fieldName: string;
    defaultValue?: any;
    description?: string;
}
/**
 * Metadata type for InputField
 */
export declare class InputFieldMetadata<T extends InputFieldMetadataConfig = InputFieldMetadataConfig> extends GenericMetadata<T> {
    readonly fieldName: string;
    readonly inputFieldConfig: GraphQLInputFieldConfig;
}
