import { TypeArg, TypeExpression } from '../type-expression/TypeExpression';
import { Lazy } from '../types';
import { ASTParseResult } from './types';
/**
 * Parse GraphQL SDL and pick type references into [[TypeSubstitutionMap]].
 * @param strings GraphQL SDL strings to parse
 * @param typeArgs
 */
export declare function gql(strings: TemplateStringsArray, ...typeArgs: Array<TypeExpression | TypeArg | Lazy<TypeArg>>): ASTParseResult;
