import { GraphQLScalarType } from "graphql";
import { DefinitionMetadata, DefinitionMetadataConfig } from "../base/DefinitionMetadata";
export interface ScalarMetadataConfig extends DefinitionMetadataConfig {
    typeInstance: GraphQLScalarType;
}
/**
 * Metadata type for ScalarType
 */
export declare class ScalarMetadata<T extends ScalarMetadataConfig = ScalarMetadataConfig> extends DefinitionMetadata<T> {
    readonly typeName: string;
    readonly typeInstance: GraphQLScalarType;
}
